org.apache.poi.xddf.usermodel

## Class XDDFColorRgbPercent

- java.lang.Object
- - org.apache.poi.xddf.usermodel.XDDFColor
  - - org.apache.poi.xddf.usermodel.XDDFColorRgbPercent

-     @Beta
      public class XDDFColorRgbPercent
      extends XDDFColor

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.xddf.usermodel.XDDFColor

      `container`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `XDDFColorRgbPercent(org.openxmlformats.schemas.drawingml.x2006.main.CTScRgbColor color)`
    `protected` | `XDDFColorRgbPercent(org.openxmlformats.schemas.drawingml.x2006.main.CTScRgbColor color, org.openxmlformats.schemas.drawingml.x2006.main.CTColor container)`
    `` | `XDDFColorRgbPercent(int red, int green, int blue)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBlue()`
    `int` | `getGreen()`
    `int` | `getRed()`
    `protected org.apache.xmlbeans.XmlObject` | `getXmlObject()`
    `void` | `setBlue(int blue)`
    `void` | `setGreen(int green)`
    `void` | `setRed(int red)`
    `java.lang.String` | `toRGBHex()`

    - ### Methods inherited from class org.apache.poi.xddf.usermodel.XDDFColor

      `forColorContainer, from, from, from, from, from, getColorContainer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XDDFColorRgbPercent

          public XDDFColorRgbPercent(int red,
                                     int green,
                                     int blue)

    - #### XDDFColorRgbPercent

          @Internal
          protected XDDFColorRgbPercent(org.openxmlformats.schemas.drawingml.x2006.main.CTScRgbColor color)

    - #### XDDFColorRgbPercent

          @Internal
          protected XDDFColorRgbPercent(org.openxmlformats.schemas.drawingml.x2006.main.CTScRgbColor color,
                                                  org.openxmlformats.schemas.drawingml.x2006.main.CTColor container)

  - ### Method Detail

    - #### getXmlObject

          @Internal
          protected org.apache.xmlbeans.XmlObject getXmlObject()

      Specified by:
        `getXmlObject` in class `XDDFColor`

    - #### getRed

          public int getRed()

    - #### setRed

          public void setRed(int red)

    - #### getGreen

          public int getGreen()

    - #### setGreen

          public void setGreen(int green)

    - #### getBlue

          public int getBlue()

    - #### setBlue

          public void setBlue(int blue)

    - #### toRGBHex

          public java.lang.String toRGBHex()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.